Subject: Re: Intermittent Cron Errors
From: "Pierre A. Humblet" <[email-masked]>
To: Rajiv Garg <[email-masked]>
Cc: [email-masked]
Date: Wed, 08 Jul 2009 23:00:53 -0400
List-Id: <cygwin.cygwin.com>

>At 07:17 PM 7/8/2009, Rajiv Garg wrote:
>
>Compiled and ran -- here's the output:
>
>$>/tmp/testcron.exe
>name orderworker uid 11130 gid 10513
>0
>256
>512
>768
>1024
>1280
>1536
>1792
>2048
>2304
>2560
>
>I killed it at this point.  No initgroups() or setuid() failures in 
>2500 tries.  Let me know your thoughts.

I am baffled. The log starts on 3/18. There were no incidents until 
4/17, then 5/8 (3x) but since 5/11 they happen several times a day. 
On 6/22 at 05:05:01 and 06/23 at 23:03:11 two jobs were started at 
the same time and both failed.

So my hunch is still that it's a problem with a PDC connection, but I 
can't explain the exact sequence. After all if the call to initgroups 
fails, the groups of the daemon will be inherited by the job and that 
should not cause a setuid failure. On the other hand if setuid tries 
to create a token when the uid doesn't change, it must be a group issue.

If you end up bypassing the call to setuid when the uids match, 
please log the non-zero return value of initgroups (in the interest 
of science).
You can look at the cron events by typing "cronevents" in a shell.
Let me know if you need more help.

Pierre 

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple